Subject: [MOBILE-IP] FW: I-D ACTION:draft-petri-mobileip-pipe-00.txt

From: Petri Bernhard <[email-masked]>
Date: Mon, 24 Jan 2000 10:42:24 +0100

I've submitted  draft-petri-mobileip-pipe-00.txt  to the Internet-draft
editor (see message below).

This is an attempt to provide a solution for the use of private IP addresses
within Mobile IP, which was mentioned to be an open issue at the last two
meetings of the Mobile IP group, and was also addressed by some mails on the
list recently.

Unlike Charlie's draft at the Oslo meeting, I've tried to provide a more
generic solution showing how IP-IP tunnels (RFC 2003) could make use of
private IP addresses. Based on that basic solution for IP-IP, it's easy for
Mobile IP to use private IP addresses; this is outlined by an example in the
draft.

Comments welcome.

Kind regards
Bernhard

Bernhard Petri, Siemens
Tel: +49 89 722-34578
Fax: +49 89 722-29098
[email-masked]
______________________________

> -----Original Message-----
> From: [email-masked] [SMTP:[email-masked]]
> Sent: Friday, January 21, 2000 12:46 PM
> Subject:      I-D ACTION:draft-petri-mobileip-pipe-00.txt
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>
>
>       Title           : Private IP Encapsulation within IP (PIPE)
>       Author(s)       : B. Petri
>       Filename        : draft-petri-mobileip-pipe-00.txt
>       Pages           : 14
>       Date            : 20-Jan-00
>
> RFC 2003 specifies a method by which an IP datagram may be
> encapsulated (carried as payload) within an IP datagram. This is a
> means to alter the normal IP routing for datagrams, by delivering
> them to an intermediate destination that would otherwise not be
> selected by the (network part of the) IP Destination Address field in
> the original IP header.
> This draft allows to extend this encapsulation mechanism also for
> private IP addresses.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-petri-mobileip-pipe-00.txt
>
> Internet-Drafts are also available by anonymous FTP. Login with the
> username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
>       "get draft-petri-mobileip-pipe-00.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
>       [email-masked].
> In the body type:
>       "FILE /internet-drafts/draft-petri-mobileip-pipe-00.txt".
>
> NOTE: The mail server at ietf.org can return the document in
>       MIME-encoded form by using the "mpack" utility.  To use this
>       feature, insert the command "ENCODING mime" before the "FILE"
>       command.  To decode the response(s), you will need "munpack" or
>       a MIME-compliant mail reader.  Different MIME-compliant mail readers
>       exhibit different behavior, especially when dealing with
>       "multipart" MIME messages (i.e. documents which have been split
>       up into multiple messages), so check your local documentation on
>       how to manipulate these messages.
>
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft. <<Unbenannte Anlage>>

Date: Mon, 24 Jan 2000 10:42:59 +0100